> ## Documentation Index
> Fetch the complete documentation index at: https://docs.periskope.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Custom Properties

> This endpoint retrieves all custom properties in your workspace, across both chat and ticket properties

Pass the optional `type` query parameter to fetch only chat or only ticket properties




## OpenAPI

````yaml GET /properties
openapi: 3.0.3
info:
  title: API - Local
  description: >-
    #### Welcome to the official Postman collection of Periskope API


    Periskope APIs enable you automate actions on your WhatsApp phone, and the
    Periskope platform


    - Read more about the APIs & webhooks here -
    [https://docs.periskope.app/api-reference/introduction](https://docs.periskope.app/api-reference/introduction)
        
    - We encourage responsible usage of the APIs. Follow these best practices
    and recommendations for safe actions on WhatsApp -
    [https://docs.periskope.app/get-started/best-practices](https://docs.periskope.app/get-started/best-practices)
        

    #### Getting Started


    ##### Pre-requisites:


    1. **Sign up for a free account on Periskope:** To use the Periskope API,
    you need to have an active Periskope account. If you don’t have one, you can
    sign up for a 7-day free trial [here](https://console.periskope.app).
        
    2. **Scan the QR code from WhatsApp to connect your phone:** A connected
    phone is required to use the APIs
        
    3. **Go to** [Settings &gt;
    API](https://console.periskope.app/settings/api), and generate an API key
    for your organization - The API key is used to authenticate every request.
    Please keep this secure
        

    ##### Using Postman:


    1. **Fork the collection so you can edit values and test the APIs in your
    own postman environment:** To fork the collection, click on the three dots
    next to v1. Then click on create a fork (_shortcut: Ctrl + Alt + F)._
        
    2. **Update the value of the variables in the collection:**  
        \- Update the API key with the key generated in Step 3  
        \- Update the phone number with your connected number. This number will be added to the `x-phone` header across requests
        
        It must be in the format of country code+number, with no special characters or spaces _e.g. +91 98745 32456 becomes 919874532456_
        

    For any help or feedback, please contact us at
    [support@periskope.app](https://mailto:support@periskope.app), or ping us on
    [WhatsApp](https://what.sapp.link/periskope)
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.periskope.app/v1
security:
  - bearerAuth: []
tags:
  - name: contacts
  - name: tickets
  - name: tasks
  - name: phones
  - name: message
  - name: queue
  - name: chats
  - name: group
  - name: members
  - name: webhooks
  - name: custom properties
paths:
  /properties:
    get:
      tags:
        - custom properties
      summary: Get All Custom Properties
      description: >
        This endpoint retrieves all custom properties in your workspace, across
        both chat and ticket properties


        Pass the optional `type` query parameter to fetch only chat or only
        ticket properties
      operationId: getAllCustomProperties
      parameters:
        - name: type
          in: query
          required: false
          schema:
            type: string
            enum:
              - chat
              - ticket
          example: ticket
          description: Fetch only chat or only ticket properties. Omit to fetch both
      responses:
        '200':
          description: 200 OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        property_id:
                          type: string
                          example: property-a1b2c3
                          description: The unique identifier of the property
                        property_name:
                          type: string
                          example: Workspace
                          description: The name of the property
                        type:
                          type: string
                          enum:
                            - chat
                            - ticket
                          example: ticket
                          description: The type the property belongs to
                        kind:
                          type: string
                          example: dropdown
                          description: >-
                            The value kind of the property - text, date, file,
                            dropdown or picklist
                        mandatory:
                          type: boolean
                          example: false
                          description: >-
                            Whether the property is mandatory. Applicable to
                            ticket properties only
                        section_id:
                          type: string
                          nullable: true
                          example: 3f8b6c1e-8f2a-4b6e-9c3d-2a1f0e9d8c7b
                          description: >-
                            The id of the section the property belongs to, or
                            null if it is not in a section
                        section_name:
                          type: string
                          nullable: true
                          example: Issue Details
                          description: >-
                            The name of the section the property belongs to, or
                            null if it is not in a section
                        options:
                          type: array
                          description: >-
                            The current option list. Present only for dropdown
                            and picklist kinds
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                                example: '1712345678901'
                              label:
                                type: string
                                example: Acme Corp
                        created_at:
                          type: string
                          example: '2026-07-06T10:00:00.000Z'
                          description: When the property was created
        '422':
          description: Invalid type
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: VALIDATION_ERROR
                  message:
                    type: string
                    example: type must be "chat" or "ticket"
                  status:
                    type: number
                    example: 422
                  fields:
                    type: object
                    properties:
                      type:
                        type: object
                        properties:
                          message:
                            type: string
                            example: type must be "chat" or "ticket"
              examples:
                Invalid type:
                  value:
                    code: VALIDATION_ERROR
                    message: type must be "chat" or "ticket"
                    status: 422
                    fields:
                      type:
                        message: type must be "chat" or "ticket"
      x-codeSamples:
        - lang: TypeScript
          label: Node.js
          source: |-
            import { PeriskopeApi } from '@periskope/periskope-client';

            const client = new PeriskopeApi({
              authToken: 'YOUR_API_KEY',
              phone: 'YOUR_PHONE_NUMBER', // e.g., '919876543210'
            });

            async function getAllCustomProperties() {
              const response = await client.property.getAll({
                type: 'ticket'
              });

              console.log(response);
            }

            getAllCustomProperties();
        - lang: cURL
          label: cURL
          source: |-
            curl -X GET \
              https://api.periskope.app/v1/properties?type=ticket \
              -H 'Authorization: Bearer <token>' \
              -H 'Content-Type: application/json' \
              -H 'x-phone: YOUR_PHONE_NUMBER'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````